﻿.products-box{
    width: 100%;
    display: block;
    position: relative;
    overflow: hidden;
    min-height: 100vh;
    box-sizing: border-box;
    padding-top: 150px;
}
.products-all-box{
    width: 1200px;
    max-width: 100%;
    display: block;
    margin: 0 auto;
    font-size: 0;
    position: relative;
    box-sizing: border-box;
    padding: 135px 0;
}
.products-info-box{
    margin-top: 80px;
}

/* pages */
.products-pages-box{
    width: 100%;
    display: block;
    position: relative;
    overflow: hidden;
    min-height: 100vh;
    box-sizing: border-box;
    padding-top: 150px;
}
.products-pages-all-box{
    width: 1000px;
    max-width: 100%;
    display: block;
    margin: 0 auto;
    font-size: 0;
    position: relative;
    box-sizing: border-box;
    padding: 60px 0;
}
.main-path-box{
    width: 100%;
    display: block;
}
.main-path{
    font-family: 'Noto Sans TC';
    font-weight: 300;
    font-size: 18px;
    letter-spacing: 0.2em;
    color: #666;
    line-height: 40px;
    display: inline-block;
    vertical-align: top;
    position: relative;
    box-sizing: border-box;
    margin-right: 35px;
    transition: all .3s linear;
}
div.main-path{
    color: #000;
    font-weight: 400;
}
.main-path::after{
    content: '\f105';
    font-family: 'font awesome 5 free';
    font-weight: 700;
    font-size: 18px;
    color: #666;
    line-height: 40px;
    position: absolute;
    top: 0;
    left: calc(100% + 10px);
}
div.main-path::after{
    display: none;
}
.products-pages-info-box{
    margin-top: 60px;
}
.products-pages-img-box{
    width: 280px;
    display: inline-block;
    vertical-align: top;
    border: 1px solid #d1d1d1;
    box-sizing: border-box;
}
.products-pages-noimg{
    width: 100%;
    height: calc((280 / 200) * 280px);
    box-sizing: border-box;
    padding: 0;
    background-color: #fafafa;
    display:         flex;
    display: -webkit-flex;
    align-items: center;
    -webkit-align-items: center;
    justify-content: center;
    -webkit-justify-content: center;
    flex-direction: column;
    /* border: 1px solid #d1d1d1; */
}
.products-pages-img{
    width: 100%;
    height: calc((280 / 200) * 280px);
    box-sizing: border-box;
    background-color: #fafafa;
    /* border: 1px solid #d1d1d1; */
}
.products-pages-info{
    width: calc(100% - 280px);
    display: inline-block;
    vertical-align: top;
    box-sizing: border-box;
    padding-left: 75px;
}
.products-pages-info-name{
    font-family: 'Noto Serif TC';
    font-weight: 700;
    font-size: 28px;
    line-height: 40px;
    color: #000;
    letter-spacing: 0.2em;
}
.products-pages-info-text-box p{
    font-family: 'Noto Sans TC';
    font-weight: 300;
    font-size: 18px;
    letter-spacing: 0.2em;
    line-height: 36px;
    color: #666;
}
.products-pages-info-text-box p>a{
    position: relative;
    transition: all .3s linear;
}
.products-pages-info-text-box p>a::after{
    content: '';
    width: 100%;
    height: 1px;
    position: absolute;
    bottom: 0;
    left: 0;
    background-color: #666;
    transition: all .3s linear;
}
.products-pages-info-price-box{
    margin: 60px 0;
}
.products-pages-info-price-old{
    display: inline-block;
    vertical-align: bottom;
}
.products-pages-info-price-old p{
    font-family: 'Roboto';
    font-weight: 700;
    font-size: 24px;
    letter-spacing: 0.06em;
    line-height: 40px;
    color: #666;
    text-decoration: line-through;
    display: inline-block;
    vertical-align: bottom;
}
.products-pages-info-price-old span{
    font-family: 'Roboto';
    font-weight: 700;
    font-size: 24px;
    letter-spacing: 0.06em;
    line-height: 40px;
    color: #666;
    display: inline-block;
    vertical-align: bottom;
    box-sizing: border-box;
    padding: 0 15px;
}
.products-pages-info-price{
    display: inline-block;
    vertical-align: bottom;
}
.products-pages-info-price p{
    font-family: 'Roboto';
    font-weight: 700;
    font-size: 36px;
    letter-spacing: 0.06em;
    line-height: 40px;
    color: #e50516;
    display: inline-block;
    vertical-align: top;
}
.products-pages-info-price span{
    font-family: 'Roboto';
    font-weight: 700;
    font-size: 24px;
    letter-spacing: 0.06em;
    line-height: 20px;
    color: #e50516;
    display: inline-block;
    vertical-align: top;
}
.products-pages-info-price-text{
    font-family: 'Noto Sans TC','Roboto';
    font-size: 16px;
    letter-spacing: 0.06em;
    line-height: 2;
    color: #888;
    display: block;
}
.products-pages-info-number-box{
    width: 200px;
    border: 1px solid #d1d1d1;
    box-sizing: border-box;
    border-radius: 5px;
    overflow: hidden;
}
.products-pages-info-number-plus{
    position: relative;
    width: 50px;
    height: 50px;
    background-color: #eee;
    box-sizing: border-box;
    border-left: 1px solid #d1d1d1;
    display: inline-block;
    vertical-align: middle;
    cursor: pointer;
    transition: all .3s linear;
}
.products-pages-info-number-plus::before{
    content: '';
    width: 13px;
    height: 1px;
    position: absolute;
    top: calc(50% - 1px);
    left: calc(50% - 7px);
    background-color: #000;
}
.products-pages-info-number-plus::after{
    content: '';
    width: 1px;
    height: 13px;
    position: absolute;
    top: calc(50% - 7px);
    left: calc(50% - 1px);
    background-color: #000;
}
.products-pages-info-number-less{
    position: relative;
    width: 50px;
    height: 50px;
    background-color: #eee;
    box-sizing: border-box;
    border-right: 1px solid #d1d1d1;
    display: inline-block;
    vertical-align: middle;
    cursor: pointer;
    transition: all .3s linear;
}
.products-pages-info-number-less::before{
    content: '';
    width: 13px;
    height: 1px;
    position: absolute;
    top: calc(50% - 1px);
    left: calc(50% - 7px);
    background-color: #000;
}
.products-pages-info-number{
    width: calc(100% - 100px);
    display: inline-block;
    vertical-align: middle;
    height: 50px;
}
.products-pages-info-number>input{
    width: 100%;
    height: 100%;
    display: block;
    border: none;
    line-height: 50px;
    font-family: 'Roboto';
    font-size: 16px;
    color: #000;
    text-align: center;
    box-sizing: border-box;
    padding: 0 5px;
}
.products-pages-info-ShoppingCart-box{
    width: 200px;
    box-sizing: border-box;
    border-radius: 5px;
    overflow: hidden;
    background-color: #e50516;
    opacity: 0.7;
    text-align: center;
    cursor: pointer;
    margin-top: 20px;
    transition: all .3s linear;
}
.products-pages-info-ShoppingCart-box p{
    font-family: 'Noto Sans TC';
    color: #fff;
    letter-spacing: 0.06em;
    line-height: 50px;
    font-size: 16px;
    display: inline-block;
    vertical-align: middle;
}
.products-pages-info-ShoppingCart-box i{
    color: #fff;
    line-height: 50px;
    font-size: 16px;
    display: inline-block;
    vertical-align: middle;
    margin-left: 20px;
}

.products-pages-edit-box{
    font-family: 'Noto Sans TC';
    /* font-weight: 300; */
    color: #333;
    letter-spacing: 0.06em;
    line-height: 36px;
    font-size: 18px;
    margin-top: 120px;
    text-align: justify;
}




@media only screen and (max-width: 1200px){
    .products-all-box {
        width: 1000px;
    }
}
@media only screen and (max-width: 1000px){
    .products-all-box {
        width: 750px;
        padding: 60px 0;
    }
    .products-info-box{
        margin-top: 60px;
    }

    .products-pages-all-box{
        width: 750px;
    }
    .products-pages-info{
        padding-left: 35px;
    }
}
@media only screen and (max-width: 768px){
    .products-box{
        padding-top: 45px;
    }
    .products-all-box {
        width: 550px;
        padding: 40px 0;
    }
    .products-info-box{
        margin-top: 40px;
    }
    
    .products-pages-box{
        padding-top: 45px;
    }
    .products-pages-all-box{
        width: 550px;
        padding: 40px 0;
    }
    .main-path{
        font-size: 14px;
        letter-spacing: 0.06em;
        line-height: 30px;
        margin-right: 20px;
    }
    .main-path::after{
        font-size: 14px;
        line-height: 32px;
        left: calc(100% + 5px);
    }
    .products-pages-info-box {
        margin-top: 40px;
    }
    .products-pages-img-box{
        width: 200px;
        display: block;
        margin: 0 auto;
    }
    .products-pages-noimg,
    .products-pages-img{
        height: calc((280 / 200) * 200px);
    }
    .products-pages-info {
        width: 100%;
        padding-top: 35px;
        padding-left: 0;
    }
    .products-pages-info-price-box{
        text-align: right;
        margin: 30px 0;
    }
    .products-pages-info-number-box{
        margin-left: auto;
    }
    .products-pages-info-ShoppingCart-box{
        margin-left: auto;
    }
    .products-pages-edit-box{
        margin-top: 60px;
    }
}
@media only screen and (max-width: 550px){
    .products-all-box {
        width: 95vw;
        padding: 20px 0;
    }
    .products-info-box{
        margin-top: 20px;
    }
    
    .products-pages-all-box{
        width: 95vw;
        padding: 20px 0;
    }
    .main-path {
        margin-right: 10px;
        line-height: 20px;
    }
    .main-path::after {
        left: calc(100% + 1px);
        line-height: 22px;
    }
    .products-pages-info-box {
        margin-top: 20px;
    }
    .products-pages-info {
        padding-top: 10px;
    }
    .products-pages-info-name{
        font-size: 18px;
        line-height: 30px;
        letter-spacing: 0.06em;
    }
    .products-pages-info-text-box p{
        font-size: 16px;
        line-height: 24px;
        letter-spacing: 0.06em;
    }
    .products-pages-info-price-box {
        margin: 10px 0;
    }
    .products-pages-info-price-old p{
        font-size: 18px;
        line-height: 30px;
    }
    .products-pages-info-price-old span{
        font-size: 18px;
        line-height: 30px;
        padding: 0 5px;
    }
    .products-pages-info-price span{
        font-size: 14px;
    }
    .products-pages-info-price p{
        font-size: 22px;
        line-height: 30px;
    }
    .products-pages-info-number-box{
        width: 140px;
    }
    .products-pages-info-number-plus{
        width: 30px;
        height: 30px;
    }
    .products-pages-info-number {
        width: calc(100% - 60px);
        height: 30px;
    }
    .products-pages-info-number>input{
        line-height: 30px;
        font-size: 14px;
    }
    .products-pages-info-number-less{
        width: 30px;
        height: 30px;
    }
    .products-pages-info-ShoppingCart-box{
        width: 140px;
        margin-top: 10px;
    }
    .products-pages-info-ShoppingCart-box p{
        line-height: 36px;
        font-size: 14px;
    }
    .products-pages-info-ShoppingCart-box i{
        font-size: 14px;
        line-height: 36px;
        margin-left: 10px;
    }
    .products-pages-edit-box {
        margin-top: 30px;
        font-size: 16px;
        line-height: 26px;
    }
}



@media only screen and (min-width: 769px){
    .products-pages-info-number-plus:hover,
    .products-pages-info-number-less:hover{
        background-color: #ccc;
    }
    a.main-path:hover{
        color: #e50516;
    }

    .products-pages-info-ShoppingCart-box:hover{
        opacity: 1;
    }
    
    .products-pages-info-text-box p>a:hover{
        color: #e50516;
    }
    .products-pages-info-text-box p>a::after:hover{
        background-color: #e50516;
    }

    .main-path-box,
    .products-pages-img-box,
    .products-pages-edit-box{
        opacity: 0;
    }
    .main-path-box.anima{
        animation: fade 1s ease 0s 1 both;
    }
    .products-pages-img-box.anima{
        animation: fadeInRight 1s ease 0s 1 both;
    }
    .products-pages-info.anima{
        animation: fadeInRight 1s ease .4s 1 both;
    }
    .products-pages-edit-box.anima{
        animation: fadeInUp 1s ease 0s 1 both;
    }
}